camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Borut Bolčina <borut.bolc...@gmail.com>
Subject Re: Deploying route to Karaf
Date Fri, 13 Apr 2012 11:37:23 GMT
I tried

karaf@root> osgi:install mvn:org.apache.camel/camel-core-osgi/2.9.1
Bundle ID: 91

and then I get error by starting

karaf@root> osgi:start 91
org.osgi.framework.BundleException: Unresolved constraint in bundle
org.apache.camel.camel-core-osgi [91]: Unable to resolve 91.0:
 missing requirement [91.0] package;
(&(package=org.osgi.service.event)(version>=1.2.0)(!(version>=2.0.0)))

as I guess org.osgi.service.event is not active. This service seems very
low level, but I am wondering in the complete dark here.

-borut


Dne 13. april 2012 12:50 je Christian Schneider
<chris@die-schneider.net>napisal/-a:

> As far as I know the camel.core.osgi package is not exported. In fact the
> osgi stuff in camel core looks quite strange as it works with fragment
> bundles where it could be much simpler.
> So I am not sure if this will work.
>
> You can try require bundle instead of import package so you might get the
> package this way.
>
> Chrisitan
>
>
> Am 13.04.2012 12:33, schrieb Borut Bolčina:
>
>  OK, I installed the latest Karaf (2.2.6) and Camel features with
>>
>> features:chooseurl camel 2.9.1
>>
>>
>> features:install camel-core
>>
>>
>> Then I installed my bundle into the local maven repo and then to Karaf
>> with
>>
>> karaf@root>  osgi:install
>> mvn:com.mycompany/route-**weather-current/1.0-SNAPSHOT
>> Bundle ID: 67
>>
>> As I suspected, this bundle will have difficulities to start up, as I did
>> not install all the neccessary features into Karaf needed by my bundle and
>> so the error happens:
>>
>> karaf@root>  osgi:start 67
>> org.osgi.framework.**BundleException: Unresolved constraint in bundle
>> route-weather-current-osgi [67]: Unable to resolve 67.0: missi
>> ng requirement [67.0] package;
>> (&(package=org.apache.camel.**core.osgi)(version>=2.9.0)(!(**
>> version>=3.0.0)))
>>
>> As I am using camel-core-osgi and this feature is not installed with
>> features:chooseurl camel 2.9.1 where do I get it?
>>
>> Thanks,
>> borut
>>
>> Dne 11. april 2012 10:46 je Claus Ibsen<claus.ibsen@gmail.com>
>>  napisal/-a:
>>
>>  The blueprint.xml file is then placed in the META-INF/blueprint
>>>> directory. The standard place for that.
>>>>
>>> Ah sorry I think its OSGI-INF/blueprint/blueprint.**xml
>>>
>>> The name of the XML file dont have to be blueprint.xml. I think you
>>> can name it myapp.xml, camel.xml, etc. Or what you like.
>>>
>>> Anyway the point is its the whatever the blueprint standard is.
>>>
>>>
>>>
>>>
>>>
>>> --
>>> Claus Ibsen
>>> -----------------
>>> CamelOne 2012 Conference, May 15-16, 2012: http://camelone.com
>>> FuseSource
>>> Email: cibsen@fusesource.com
>>> Web: http://fusesource.com
>>> Twitter: davsclaus, fusenews
>>> Blog: http://davsclaus.blogspot.com/
>>> Author of Camel in Action: http://www.manning.com/ibsen/
>>>
>>>
>
> --
>
> Christian Schneider
> http://www.liquid-reality.de
>
> Open Source Architect
> Talend Application Integration Division http://www.talend.com
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message